# AudioFeedManager

A tool for managing RSS podcast feeds.

## Installation

Install the gem from rubygems:

    $ gem install audio-feed-manager

## Usage

In order to use the app, you will need to perform a couple of steps.

First, you will need to initialize a project (a directory containing the feeds and audio files).
Then, you will need to add some feeds and some audio files to the feeds.
Once you're ready, you can deploy the feeds to S3.

### Initial set up

In order to create a directory for the feeds and audio files, you will need to call:

    $ afm init my-project

Where `my-project` is a name of the directory you will want to store the files in.

The command will ask you for some additional information, like the S3 credentials to use.


### Adding feeds

In order to add a feed execute the following command (while in a project directory):

    $ afm feeds add "My Feed Title"

This will create a file `feeds/my-feed-title`. This file name is also an identifier of the feed for later use.

You can see the list of created feeds by issuing the following command:

    $ afm feeds list

### Adding audio files

Once you have created your first feed, you can start adding audio files to it:

    $ afm audio add feeds/my-feed-title /path/to/file.mp3

This command will read the title and author from ID3 tags of the MP3 file. If those are not present, it will ask you to provide that information.

### Publishing the feeds

You can publish all of the feeds to S3 using the following command:

    $ afm publish

This will upload all of the MP3 and .xml files to S3.

### Getting an URL for a feed

In order to share a URL to a feed with other people, you can use:

    $ afm feeds get-url feeds/my-feed-title

You can see the URL and other feed details by issuing the following command:

    $ afm feeds show feeds/my-feed-title

### Re-generating RSS file

All of the information about feeds and audio files is stored in plain-text files, so you can use your favorite text editor to change the initially entered details.

For example, to change the order of items in a feed, you can simply edit the items file:

    vim items/my-feed-title

Once you are done with the editing, you will need to re-generate the RSS file for the feed you changed:

    $ afm feeds update-rss feeds/my-feed-title

## Contributing

1. Fork it ( https://github.com/[my-github-username]/audio-feed-manager/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
