module AudioFeedManager
  describe InitializeProject do
    fake(:console)
    fake(:config_repository)
    let(:directory) { Pathname.new("/tmp") }
    let(:audio_files_prefix) { "audio_files" }
    let(:rss_files_prefix) { "rss" }
    let(:feeds_prefix) { "feeds" }
    let(:data_files_prefix) { "data" }
    let(:items_prefix) { "items" }
    let(:initialize_project) { isolate(InitializeProject) }

    before do
      FileUtils.rm_rf("/tmp/foo")
    end

    it "creates the project directory" do
      initialize_project.run(project_dir: "foo")

      expect(File.exists?("/tmp/foo")).to be(true)
    end

    it "creates a directory for the feeds" do
      initialize_project.run(project_dir: "foo")

      expect(File.exists?("/tmp/foo/feeds")).to be(true)
    end

    it "creates a directory for the audio_files" do
      initialize_project.run(project_dir: "foo")

      expect(File.exists?("/tmp/foo/audio_files")).to be(true)
    end

    it "creates a directory for rss files" do
      initialize_project.run(project_dir: "foo")

      expect(File.exists?("/tmp/foo/rss")).to be(true)
    end

    it "creates a directory for data files" do
      initialize_project.run(project_dir: "foo")

      expect(File.exists?("/tmp/foo/data")).to be(true)
    end
  end
end
