module AudioFeedManager
  describe ListFeeds do
    fake(:feed_repository)
    let(:console) { FakeConsole.new }

    let(:list_feeds) { isolate(ListFeeds) }

    it "returns a formatted list of feeds" do
      feeds = [Feed.new(id: "feeds/hello", title: "Hello!"),
               Feed.new(id: "feeds/foo-bar", title: "Foo Bar")]
      stub(feed_repository).list { feeds }

      list_feeds.run

      expect(console.out).to (include("1.\tfeeds/hello\tHello!"))
      expect(console.out).to (include("2.\tfeeds/foo-bar\tFoo Bar"))
    end

    it "prints a helpful message when no feeds exist" do
      stub(feed_repository).list { [] }

      list_feeds.run

      expect(console.out).to (include("No feeds yet."))
    end
  end
end
