module AudioFeedManager
  describe UpdateFeedRss do
    fake(:feed_repository)
    fake(:rss_generator)
    let(:console) { FakeConsole.new }

    let(:update_feed_rss) { isolate(UpdateFeedRss) }

    it "generates the feed RSS" do
      feed = build_feed
      stub(feed_repository).fetch("feeds/foo") { feed }

      update_feed_rss.run(feed: "feeds/foo")

      expect(rss_generator).to have_received.generate(feed)
    end

    it "prints an error message when feed not found" do
      stub(feed_repository).fetch("feeds/foo") { raise FeedNotFound.for_id("feeds/foo") }

      update_feed_rss.run(feed: "feeds/foo")

      expect(console.out).to include("not found")
    end
  end
end
