module AudioFeedManager
  describe DirectoryLister do
    let(:directory_lister) { isolate(DirectoryLister) }

    it "returns an empty array for non-existent directories" do
      files = directory_lister.list("/tmp/asdfasdfasdfasdfasdfasdf")

      expect(files).to eq([])
    end

    it "returns a list of all the files in a given directory, sorted by name" do
      FileUtils.rm_rf("/tmp/foobar")
      FileUtils.mkdir_p("/tmp/foobar")
      FileUtils.touch("/tmp/foobar/foo.txt")
      FileUtils.touch("/tmp/foobar/bar.txt")
      FileUtils.touch("/tmp/foobar/baz.txt")

      files = directory_lister.list("/tmp/foobar")

      expect(files).to eq(["bar.txt", "baz.txt", "foo.txt"])
    end
  end
end
