module AudioFeedManager
  describe FileStorage do
    let(:directory) { Pathname.new("/tmp/foo") }

    let(:storage) { isolate(FileStorage) }

    before do
      FileUtils.rm_rf(directory)
      FileUtils.mkdir_p(directory.join("feeds"))
    end

    it "stores the contents in a specified file" do
      storage.store("feeds/hello", {id: 1, title: "hello!"})

      expect(storage.read("feeds/hello")).to eq(id: 1, title: "hello!")
    end

    it "raises an error, when the given file does not exist" do
      expect{ storage.read("feeds/hello") }.to raise_error(FileNotFound)
    end
  end
end
