module AudioFeedManager
  describe Id3Tags do
    let(:id3tags) { isolate(Id3Tags) }

    it "reads ID3 tags from an mp3 file" do
      tags = id3tags.read(fixture_file("test.mp3"))

      expect(tags.title).to eq("My first audio file")
      expect(tags.artist).to eq("Adam Pohorecki")
    end

    it "returns empty tags for a file that does not exist" do
      tags = id3tags.read(Pathname.new("/tmp/file-which-does-not-exist"))

      expect(tags.title).to eq(nil)
      expect(tags.artist).to eq(nil)
    end

    it "returns empty tags for a file that is not an mp3 file" do
      tags = id3tags.read(fixture_file("test.txt"))

      expect(tags.title).to eq(nil)
      expect(tags.artist).to eq(nil)
    end
  end
end
