module AudioFeedManager
  describe UniqueIdGenerator do
    fake(:directory_lister)

    let(:generator) { isolate(UniqueIdGenerator) }

    it "generates ids based on the given name" do
      stub(directory_lister).list("/foo") { [] }

      id = generator.generate("Hello World!", "/foo")

      expect(id).to eq("hello-world")
    end

    it "suffixes the id with a number if the name is not unique" do
      stub(directory_lister).list("/foo") { ["hello-world", "foo-bar"] }

      id = generator.generate("Hello World!", "/foo")

      expect(id).to eq("hello-world-1")
    end
  end
end
