describe "Managing Feeds" do
  it "adds feeds using afm feeds add" do
    dir = init_project

    AudioFeedManager.run(
      pwd: dir,
      stdin: StringIO.new("some description"),
      stdout: StringIO.new,
      argv: ["feeds", "add", "Hello World!"]
    )

    stdout = StringIO.new
    AudioFeedManager.run(
      pwd: dir,
      argv: ["feeds", "list"],
      stdout: stdout,
    )

    expect(stdout.string).to include("Hello World!")
  end

  it "allows getting the feed url" do
    dir = init_project
    feed = add_feed(dir)

    out = StringIO.new
    AudioFeedManager.run(
      pwd: dir,
      stdout: out,
      argv: ["feeds", "get-url", feed.id]
    )

    expect(out.string).to include("http")
  end

  it "allows regenerating feed rss" do
    dir = init_project
    feed = add_feed(dir)

    rss_files = File.join(dir, "rss/*.xml")
    Dir[rss_files].each{|f| FileUtils.rm_rf(f)}

    AudioFeedManager.run(
      pwd: dir,
      stdout: StringIO.new,
      argv: ["feeds", "update-rss", feed.id]
    )

    expect(Dir[rss_files]).not_to eq([])
  end
end
