require 'net/http'

describe "Publishing content to S3", :slow do
  it "publishes the RSS and data files" do
    dir = init_project
    feed = add_feed(dir)
    add_audio_file(dir, feed)

    AudioFeedManager.run(
      pwd: dir,
      stdout: StringIO.new,
      argv: ["publish"]
    )

    AudioFeedManager.run(
      pwd: dir,
      stdout: out = StringIO.new,
      argv: ["feeds", "get-url", feed.id]
    )
    feed_url = out.string.chomp

    expect(Net::HTTP.get(URI.parse(feed_url))).to include("Hello World!")
  end
end
