module Builders
  def next_id
    $next_id ||= 0
    $next_id += 1
  end

  def build_feed(attrs = {})
    id = next_id
    AudioFeedManager::Feed.new({
      id: "feeds/#{id}",
      title: "Feed #{id}",
      secret_token: "secret_#{id}",
    }.merge(attrs))
  end

  def build_audio_file(attrs = {})
    id = next_id
    AudioFeedManager::AudioFile.new({
      id: "audio_files/#{id}",
      title: "Audio File #{id}",
      author: "Author #{id}",
      extension: ".mp3",
      secret_token: "secret_#{id}",
    }.merge(attrs))
  end
end
