module IntegrationHelpers
  S3_CONFIG = YAML.load_file(File.expand_path("../../s3_credentials.yml", __FILE__))

  def s3_config
    S3_CONFIG
  end

  def init_project(dir = "/tmp/project-#{SecureRandom.hex}")
    input = StringIO.new([S3_CONFIG["access_key"],
                          S3_CONFIG["secret_key"],
                          S3_CONFIG["region"],
                          S3_CONFIG["bucket"]].join("\n"))
    AudioFeedManager.run(stdin: input, stdout: StringIO.new, argv: ["init", dir])
    dir
  end

  def add_feed(dir)
    AudioFeedManager.run(
      pwd: dir,
      stdin: StringIO.new("some description"),
      stdout: StringIO.new,
      argv: ["feeds", "add", "Hello World!"]
    )
    AudioFeedManager::Feed.new(id: "feeds/hello-world")
  end

  def add_audio_file(dir, feed)
    AudioFeedManager.run(
      pwd: dir,
      stdout: StringIO.new,
      argv: ["audio", "add", feed.id, fixture_file("test.mp3")]
    )
  end

  def fixture_file(name)
    File.expand_path("../../fixtures/#{name}", __FILE__)
  end
end
